spazioiPhone: News sull'iPhone e non solo…iPad…Mac..iPod

Tutorial per eseguire il downgrade del Baseband dal 2.30.03 al 2.28.00

Vi proponiamo la prima guida per regredire il Baseband dal 2.30.03 al 2.28.00. Questa scoperta la dobbiamo a George Holtz, che ha trovato il modo di poter agire sul software relativo alla parte telefonica dell’iPhone. Ricordiamo cha la versione 2.28.00 del Baseband è condizione fondamentale per utilizzare YellowSn0w.

Prima di tutto puntualizziamo che chi utilizzerà questa guida, lo farà a proprio rischio e pericolo, inoltre non deve essere utilizzata da chi possiede iPhone comprati in Italia, e che possiede iPhone 2G. Abbiamo deciso di pubblicare questa guida, pensando ha molti utenti che si sono ritrovati con un telefono inutilizzabile dopo l’aggiornamento del firmware 2.2.1. Infatti l’ultimo firmware aggiornava anche il baseband del telefono. Rendendo inutilizzabile l’utilizzo YellowSn0w per sbloccare gli iPhone proevenienti da paesi stranieri.

  1. Scarica l’immagine del vecchio Baseband e la patch da qui.
  2. Procuriamoci BBUpdaterExtreme da qui.
  3. Accediamo via  SSH all’ iPhone e trasferiamo l’immagine del Baseband la patch (punto 1) più  BBUpdaterExtreme (punto 2) nella cartella /var/root/.
  4. Utilizziamo MobileTerminal dall’ iPhone (disponibile su Cydia) o Putty (dal computer, non è testato, ma dovrebbe funzionare)  e digitiamo i comandi seguenti rispettando maiuscole e minuscole.
  • login
  • root
  • alpine
  • chmod 755 BBUpdaterExtreme
  • launchctl unload /System/Library/LaunchDaemons/com.apple.CommCenter.plist
  • ./BBUpdaterExtreme update  -f  ICE2_02.28.00.fls  -e  ICE2_02.28.00.eep

Il tutto per riportare indietro al Baseband 2.28.00.

Andate su Impostazioni –> Generali –> Info e alla voce Firmware Modem dovrebbe visualizzare 02.28.00. Commentate per sapere se funziona tutto correttamente.

update 1 : potete scaricare i file anche da questo link

update 2 : come segnalato da un utente questo metodo funziona solo con iPhone CON LA VERSIONE 5.8 del bootloader.

update 3 : per conoscere la versione del bootloader basta seguire questa guida

[fonte]

Condividi qui con i tuoi amiciShare on Facebook
Facebook
Tweet about this on Twitter
Twitter
Share on LinkedIn
Linkedin
Share on StumbleUpon
StumbleUpon

Se vi é piaciuto questo articolo potete iscrivervi alla nostra newsletter NEWSLETTER alla nostra pagina FACEBOOK oppure seguirci su Twitter

  • quando si va a scrivere nell mobile terminal ogni singola riga non si capisce bene se ci sono spazi tra le varie lettere… per favore potreste essere + precisi ? soprattutto dalla 4° frase da inserire cioè dopo “alpine” ..fin li nn sembrano esserci problemi ma da alpine in poi nn si capisce bene se nelle varie righe ke seguono ci siano spazi tra le lettere o tra le parole!!!
    grazie in anticipo

  • ciao Speedo ti rispondo subito

    chmod 755 BBUpdaterExtreme :
    chmod, lascia uno spazio, 755, lascia uno spazio, BBUpdaterExtreme

    launchctl unload /System/Library/LaunchDaemons/com.apple.CommCenter.plist :

    launchctl, lascia uno spazio, unload , lascia uno spazio, il resto tutto insieme senza spazi

    ./BBUpdaterExtreme update -f ICE2_02.28.00.fls -e ICE2_02.28.00.eep :

    ./BBUpdaterExtreme, lascia uno spazio, update, lascia uno spazio,
    -f, lascia uno spazio, ICE2_02.28.00.fls, lascia uno spazio, -e,
    lascia uno spazio, ICE2_02.28.00.eep

    fammi sapere se funziona

  • ti consiglio di scrivere meglio gli articoli,questo procedimento funziona solo per chi ha una determianta verisone di bootoloader,(5,08)per tutti gli altri (la maggior parte ahimè)nn funziona.

  • ciao piedo, ti ringrazio del consiglio, ma io ti consiglio di leggere meglio gli articoli di questo sito :

    http://www.spazioiphone.com/guide/8403/idowngrademybaseband-eseguire-in-modo-automatico-il-downgrade-del-baseband.html

  • x Alessandro:

    dopo aver trasferito mediante SSH i programmi di cui sopra cioè il vekkio baseband e il BBUpdaterExtreme ….
    ho provato a fare tutto come da mail tua ma nn succede nulla ilbaseband rimane lo stesso al 2.30

    come mai???

  • @ Speedo:
    non abbiamo la bacchetta magica, attraverso l’esperienza di altri utenti, che come te hanno eseguito la procedura, riusciremo a capire se il metodo proposto funziona o meno.

  • @ Speedo:
    controlla la versione del bootloader che ricordo deve essere la 5.8

  • nn funziona.. alla fine dice :
    ./BBUpdaterExtreme is a directory

  • Non funziona la baseband rimane la 2.30

  • io non ho capito cosa vuol dire accedere via “SSH”..grazie mille;)

  • ciao, ssh è un particolare protocollo che ti permette di stabilire una connessione tra due host, in questo caso tra iphone e pc. in parole povere collegandoti in ssh con l’iphone puoi gestire tutti i file che ci sono all’interno del telefono… come trasferire dei file nelle cartelle del filesystem del telefono

You can follow any responses to this entry through the RSS 2.0 feed.

WP2Social Auto Publish Powered By : XYZScripts.com